public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Conrad Kostecki" <conikost@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-servers/nginx/, www-servers/nginx/files/
Date: Sat,  3 Dec 2022 00:07:23 +0000 (UTC)	[thread overview]
Message-ID: <1670025468.e1542f080b666233bf679c899daec39fed3f0a4c.conikost@gentoo> (raw)

commit:     e1542f080b666233bf679c899daec39fed3f0a4c
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  2 23:57:48 2022 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Fri Dec  2 23:57:48 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e1542f08

www-servers/nginx: fix ldap crash

Closes: https://bugs.gentoo.org/883401
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 .../files/nginx-1.23.2-mod_auth_ldap-fix.patch      | 21 +++++++++++++++++++++
 ...ginx-1.23.2-r2.ebuild => nginx-1.23.2-r3.ebuild} |  6 ++++++
 2 files changed, 27 insertions(+)

diff --git a/www-servers/nginx/files/nginx-1.23.2-mod_auth_ldap-fix.patch b/www-servers/nginx/files/nginx-1.23.2-mod_auth_ldap-fix.patch
new file mode 100644
index 000000000000..b3b4cf4b33c4
--- /dev/null
+++ b/www-servers/nginx/files/nginx-1.23.2-mod_auth_ldap-fix.patch
@@ -0,0 +1,21 @@
+From f0a5f61d9aad59c23e2c877094a8f17c43bee5b5 Mon Sep 17 00:00:00 2001
+From: freultwah <631910+freultwah@users.noreply.github.com>
+Date: Tue, 23 Aug 2022 18:09:45 +0300
+Subject: [PATCH] Make the module not crash with nginx >1.23.*
+
+---
+ ngx_http_auth_ldap_module.c | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/ngx_http_auth_ldap_module.c b/ngx_http_auth_ldap_module.c
+index 2f4e592..83b481c 100644
+--- a/ngx_http_auth_ldap_module.c
++++ b/ngx_http_auth_ldap_module.c
+@@ -1779,6 +1779,7 @@ ngx_http_auth_ldap_set_realm(ngx_http_request_t *r, ngx_str_t *realm)
+     }
+ 
+     r->headers_out.www_authenticate->hash = 1;
++    r->headers_out.www_authenticate->next = NULL;
+     r->headers_out.www_authenticate->key.len = sizeof("WWW-Authenticate") - 1;
+     r->headers_out.www_authenticate->key.data = (u_char *) "WWW-Authenticate";
+     r->headers_out.www_authenticate->value = *realm;

diff --git a/www-servers/nginx/nginx-1.23.2-r2.ebuild b/www-servers/nginx/nginx-1.23.2-r3.ebuild
similarity index 99%
rename from www-servers/nginx/nginx-1.23.2-r2.ebuild
rename to www-servers/nginx/nginx-1.23.2-r3.ebuild
index 96915733beb5..4b707c551371 100644
--- a/www-servers/nginx/nginx-1.23.2-r2.ebuild
+++ b/www-servers/nginx/nginx-1.23.2-r3.ebuild
@@ -377,6 +377,12 @@ src_prepare() {
 	eapply "${FILESDIR}/${PN}-1.4.1-fix-perl-install-path.patch"
 	eapply "${FILESDIR}/${PN}-httpoxy-mitigation-r1.patch"
 
+	if use nginx_modules_http_auth_ldap; then
+		cd "${HTTP_LDAP_MODULE_WD}" || die
+		eapply "${FILESDIR}/${PN}-1.23.2-mod_auth_ldap-fix.patch"
+		cd "${S}" || die
+	fi
+
 	if use nginx_modules_http_sticky; then
 		cd "${HTTP_STICKY_MODULE_WD}" || die
 		eapply "${FILESDIR}"/http_sticky-nginx-1.23.0.patch


             reply	other threads:[~2022-12-03  0:07 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-12-03  0:07 Conrad Kostecki [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-17  7:35 [gentoo-commits] repo/gentoo:master commit in: www-servers/nginx/, www-servers/nginx/files/ Joonas Niilola
2022-10-19 14:43 Conrad Kostecki
2020-05-26 18:41 Thomas Deutschmann
2018-11-06 16:04 Thomas Deutschmann
2018-04-17 16:37 Thomas Deutschmann
2018-04-17 16:37 Thomas Deutschmann
2017-10-24 18:53 Thomas Deutschmann
2017-01-10 15:34 Thomas Deutschmann
2017-01-07 23:30 Thomas Deutschmann
2016-11-15 21:49 Thomas Deutschmann
2016-10-20 14:03 Thomas Deutschmann
2016-08-10 22:13 Thomas Deutschmann
2016-07-26  9:51 Lars Wendler
2016-06-16  6:56 Patrice Clement
2016-06-13 18:36 Kristian Fiskerstrand
2016-05-04 13:20 Manuel Rüger
2016-02-06 13:55 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1670025468.e1542f080b666233bf679c899daec39fed3f0a4c.conikost@gentoo \
    --to=conikost@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox